Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.shimhost
Class ConfigException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.novell.nds.dirxml.shimhost.ConfigException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  XMLException

    public class ConfigException

extends Exception

Exception thrown when a configuration error occurs.

See Also:
  Serialized Form

Constructor Summary
`ConfigException(String detail)` Construct a `ConfigException` with the passed detail message.
`ConfigException(String detail, Throwable cause)` Construct a `ConfigException` with the passed detail message and underlying `Throwable` cause.
`ConfigException(Throwable cause)` Construct a `ConfigException` with the underlying `Throwable` cause

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigException

    public ConfigException(String detail)

  Construct a `ConfigException` with the passed detail message.

  Parameters:
    `detail` - message

### ConfigException

    public ConfigException(String detail,
                           Throwable cause)

  Construct a `ConfigException` with the passed detail message and underlying `Throwable` cause.

  Parameters:
    `detail` - message
    `cause` - underlying cause of problem

### ConfigException

    public ConfigException(Throwable cause)

  Construct a `ConfigException` with the underlying `Throwable` cause

  Parameters:
    `cause` - underlying cause of problem

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD